Package com.sun.jna.platform.win32

# Class WinNT.SYSTEM_POWER_LEVEL

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.SYSTEM_POWER_LEVEL

Enclosing interface:
  WinNT

@FieldOrder({"Enable","Spare","BatteryLevel","PowerPolicy","MinSystemState"}) public static class WinNT.SYSTEM_POWER_LEVEL extends Structure
Contains information about system battery drain policy settings.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `BatteryLevel`
  `byte`
  `Enable`
  `int`
  `MinSystemState`
  `WinNT.POWER_ACTION_POLICY`
  `PowerPolicy`
  `byte[]`
  `Spare`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SYSTEM_POWER_LEVEL()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### Enable

    public byte Enable

  - ### Spare

    public byte[] Spare

  - ### BatteryLevel

    public int BatteryLevel

  - ### PowerPolicy

    public WinNT.POWER_ACTION_POLICY PowerPolicy

  - ### MinSystemState

    public int MinSystemState

- ## Constructor Details

  - ### SYSTEM_POWER_LEVEL

    public SYSTEM_POWER_LEVEL()